Přihlásit se

Error po upgradu na Joomla 4

02. úno 2022 12:38 - 02. úno 2022 12:39 #145755 od Tomáš Budík
Error po upgradu na Joomla 4 vytvořil uživatel Tomáš Budík
Ahoj, po instalaci upgradu na Joomla 4 nastal error a stránky nefungují. Nevíte někdo jak z toho ven? PHP 7.3, MySQL 5.6. Screen v příloze. Díky

Pro možnost přispívání do fóra se přihlaste.

02. úno 2022 13:58 #145756 od Cufe
Odpověď od Cufe
Doporučuji obnovit web ze zálohy a nespěchat na update na Joomla 4. Předpokládám, že jste si zálohu udělal a že toto děláte jen na vývojové/zkušební verzi. Pokud chybu napíšete ve vyhledávání strýčka googla, naleznete informace o databázi, starých tabulkách, zapnutí error logu, zapnutí zobrazování chyb apod. Pokud víte, o čem je řeč, troufněte si na to, jinak bych spíš počkal, až se o těchto problémech bude vědět více. Ušetříte si hodiny strávené u PC ;-)

Joomla úřední deska | IVT služby - IT služby, webové stránky v Joomla!, online marketing | Joomla je best! Zveřejni svůj problém, pokud ho vyřešíš sám, jsi best!

Pro možnost přispívání do fóra se přihlaste.

03. kvě 2022 07:57 - 03. kvě 2022 08:26 #146226 od Petr
Odpověď od Petr
Ahojte,
ať neotvírám nové téma přídám se sem.

Povedlo se někomu upgradovat na Joomla4 bez chyby? (update z 3.10.8 na 4.1.2)Pokaždé mi vyhodí Error500,
podle logu nějaká zaháda s com_fields viz. obrázek, respektive ta že se nesmažou soubory z Joomla3 a v tu dobu plugin existuje dvakrát a

C:\xampp8\htdocs\kariera_v4\administrator\components\com_fields\libraries\fieldsplugin.php
C:\xampp8\htdocs\kariera_v4\administrator\components\com_fields\src\Plugin\FieldsPlugin.php

Do administrace se dá normálně dostat a po reinstalaci souborů jádra se i tento problém dá do pořádku a nepotřebné soubory z Joomla3 se smažou.

Edit: Podařilo se mi najít tuto chybu i na Githubu github.com/joomla/joomla-cms/issues/37177 , tak to asi nakonec nebude jen u mně.
Přílohy:

Pro možnost přispívání do fóra se přihlaste.

03. kvě 2022 12:21 #146230 od Rudolf
Odpověď od Rudolf
zatím neupgradujeme

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra se přihlaste.

03. kvě 2022 13:06 #146232 od Rudolf
Odpověď od Rudolf
Můj jen osobní názor je, že to ještě na upgrade není. Možná někde na vývoji.

Už jsem to psal někde v diskusi nějakému rusákovi - J3.10 má ještě životnost min. 1-2 roky, pak přestanou její upgrady.
Do té doby se J4 doladí do stable verze.
Bylo to tak i při přechodu z 1.5 na 2.5, bylo tomu tak i při přechodu z 2.5 na 3 (kdy asi teprve 3.2 byla použitelná).

Takže resume za mě - není kam spěchat....

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla

Pro možnost přispívání do fóra se přihlaste.

03. kvě 2022 13:40 - 03. kvě 2022 13:49 #146233 od Petr
Odpověď od Petr
Ano, ještě je čas ale je dobré se připravit na vývoji, ještě to zavísí na tom co všechno na těch webech jede u těch čistších webech, na těch to i zkouším, to půjde trochu líp než na těch dalších co tady mám s Virtuemartem.
Chtěl jsem to tady otevřít jestli jsou nějaké poznatky.

Co se mi libí je ta Kontrola před aktualizací pokud tomu člověk trochu rozumí tak zjistí že tam má věci které už vůbec nepotřebuje.
Jinak spoustu věcí funguje jak v 3.10 tak 4.x tak je možné si upravit šablonu na frontendu abych fungovala tam i tam.

Pro možnost přispívání do fóra se přihlaste.

Powered by Fórum